Package com.avaya.core

## Interface ConversationDetails

- All Known Subinterfaces:
    `Conversation`

      public interface ConversationDetails

  Provides an interface to view the information of a `Conversation`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getBusinessLastRead()` | Returns the date when the business last read the user's messages.
    `java.lang.String` | `getDescription()` | Returns the description of this conversation.
    `java.lang.String` | `getDisplayName()` | Returns the display name of this conversation.
    `java.lang.String` | `getIconUrl()` | Returns the icon url of this conversation.
    `java.lang.String` | `getId()` | Returns the ID of this conversation.
    `java.util.Date` | `getLastRead()` | Returns the date when any other participant of the conversation last read the user's messages.
    `java.util.Date` | `getLastUpdatedAt()` | Returns the date when this conversation was last updated.
    `java.util.List<Message>` | `getMessages()` | Returns the list of messages of this conversation.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getMetadata()` | Data representing an optional flat object containing additional properties associated with the conversation.
    `java.util.List<Participant>` | `getParticipants()` | Returns the list of participants of this conversation.
    `int` | `getUnreadCount()` | Count of unread messages in the conversation.

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Returns the ID of this conversation.
      Returns:
        the ID of this conversation, or null if a conversation wasn't started yet
      See Also:
        `Conversation.sendMessage(Message)`, `AvMessagingSdk#createConversation(String, String, String, Map, AvMessagingSdkCallback)`

    - #### getDisplayName

          java.lang.String getDisplayName()

      Returns the display name of this conversation.
      Returns:
        the display name of this conversation

    - #### getIconUrl

          java.lang.String getIconUrl()

      Returns the icon url of this conversation.
      Returns:
        the icon url of this conversation

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of this conversation.
      Returns:
        the description of this conversation

    - #### getBusinessLastRead

          java.util.Date getBusinessLastRead()

      Returns the date when the business last read the user's messages.
      Returns:
        the `Date` when the business last read the user's messages

    - #### getLastUpdatedAt

          java.util.Date getLastUpdatedAt()

      Returns the date when this conversation was last updated.
      Returns:
        the `Date` when this conversation was last updated

    - #### getMetadata

          java.util.Map<java.lang.String,​java.lang.Object> getMetadata()

      Data representing an optional flat object containing additional properties associated with the conversation.
      Returns:
        the metadata of the conversation

    - #### getParticipants

          java.util.List<Participant> getParticipants()

      Returns the list of participants of this conversation.
      Returns:
        the list of `Participant`s of this conversation.

    - #### getMessages

          java.util.List<Message> getMessages()

      Returns the list of messages of this conversation.
      Returns:
        the list of `Message`s of this conversation

    - #### getUnreadCount

          int getUnreadCount()

      Count of unread messages in the conversation.

      The primary use of this property is to be able to display an indicator when the conversation has unread messages.

      Returns:
        The unread message count

    - #### getLastRead

          java.util.Date getLastRead()

      Returns the date when any other participant of the conversation last read the user's messages.
      Returns:
        `Date` when any other participant of the conversation last read the user's messages